package local.targets;

/*!
 *  ======== TIArm9 ========
 *  TI Arm9 target
 *
 *  This module represents a little endian Arm9 ti_arm9_abi
 *  target.  Because this module inherits from the
 *  `{@link ti.targets.ITarget}` interface, there is no need to implement
 *  any of the `xdc.bld.ITarget` functions (the implementations
 *  in `ti.targets.ITarget` are sufficient).
 */
metaonly module TIArm9 inherits local.targets.ITIArm
{
    override readonly config String name             = "TIArm9"; 
    override readonly config String suffix           = "470_9";
    override readonly config String isa              = "arm5e";    
    override readonly config xdc.bld.ITarget.Model model = {
        endian: "little"
    };

    override readonly config ti.targets.ITarget.Command cc = {
        cmd:  "cl470",
        opts: "-c -me --abi=ti_arm9_abi -mv=5e -eo.o470_9 -ea.s470_9"
    };

    override readonly config ti.targets.ITarget.Command asm = {
        cmd:  "cl470",
        opts: "-c -me --abi=ti_arm9_abi -mv=5e -eo.o470_9 -ea.s470_9"
    };

    /*!
     *  ======== linkLib ========
     *  Default TMS470 cgtools runtime library to link with 
     *  (options: rts16earm9.lib, rts32earm9.lib)
     */
    config String linkLib = "rts16earm9.lib";
}
